
From: "Randy.Dunlap" <rddunlap@osdl.org>

Make x86 competitive with sparc, sparc64, and parisc.


---

 25-akpm/arch/i386/kernel/traps.c |    8 ++++++++
 1 files changed, 8 insertions(+)

diff -puN arch/i386/kernel/traps.c~die_386_graphic arch/i386/kernel/traps.c
--- 25/arch/i386/kernel/traps.c~die_386_graphic	2004-05-05 22:11:55.474312288 -0700
+++ 25-akpm/arch/i386/kernel/traps.c	2004-05-05 22:18:33.123860368 -0700
@@ -338,6 +338,14 @@ void die(const char * str, struct pt_reg
 	console_verbose();
 	spin_lock_irq(&die_lock);
 	bust_spinlocks(1);
+	printk(
+		"       ___      ______\n"
+		"      0--,|    /OOOOOO\\\n"
+		"     {_o  /  /OO plop OO\\\n"
+		"       \\__\\_/OO oh dear OOO\\s\n"
+		"          \\OOOOOOOOOOOOOOOO/\n"
+		"           __XXX__   __XXX__\n"
+		);
 	handle_BUG(regs);
 	printk("%s: %04lx [#%d]\n", str, err & 0xffff, ++die_counter);
 #ifdef CONFIG_PREEMPT

_
